module Bliss
  module Client
    class Item
      include Virtus.model
      include Validation

      attribute :article_id, Integer
      attribute :price_value, BigDecimal
      attribute :price_currency, String
      attribute :quantity, Integer

      validates_presence_of :article_id, :price_value, :price_currency,
        :quantity
    end
  end
end
